<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

//데이타위치, 쎔네일저장위치
$data_path = $g4['path'] . "/data/file/" . $bo_table;
$path_save_dir = $data_path . '/thumb_latest'; 
   
if (!is_dir($path_save_dir)) { 
   
   @mkdir($path_save_dir); 
   @chmod($path_save_dir, 0707); 
   
} 

///////////////////// 위는 유창화썸네일을 사용하기 위한설정입니다 //////////////////////////

    //본문나오는 글(썸네일) 출력 갯수. 자신의 상황에 맞게 조정하세요
    $thumb_print_num = "$options";

    //썸네일 기본값 설정
    $save_w = '120'; //썸네일넓이
    $save_h = '80';   //썸에일높이

   
    $options = Array(); 
    $options['save_force'] = 1; 
    $options['crop_use'] = 1; 
	$options['crop_pos_width'] = 2;
	$options['crop_pos_height'] = 2;
?>





<? for ($i=0; $i<count($list); $i++) { 
        
        preg_match("`src\s*=([^>]+\.(gif|jp?g|png))('|\"|\s|>)`iU", $list[$i]['wr_content'], $m); 
        $m[1] = preg_replace("`[\s\"']+`", '', $m[1]); 
        
        $path_src_url = $m[1]; 
        $path_src_file = $data_path . "/" . $list[$i][file][0][file]; 
        $path_save_file = $path_save_dir . '/latest_' . $save_w . 'X' . $save_h . '_' .$list[$i][file][0][file] . '.jpg'; 
        
		/*
        if ($list[$i][file][0][file]){ 
            create_thumbnail($path_src_file, $path_save_file, $save_w, $save_h, $options); 
            $list[$i]['thumbnail'] = $path_save_file; 
            
        } else if (!file_exists($list[$i]['thumbnail']) && $path_src_url ) { 
            create_thumbnail($path_src_url, $path_save_file, $save_w, $save_h, $options); 
            $list[$i]['thumbnail'] = $path_save_file; 
            
        } 
		*/

		// 12.05.29[화] 임동덕 수정
		if (!file_exists($path_save_file)){ // 썸네일이 생성 되지 않았을경우에만 동작함. 게속 적인 썸네일 생성은 속도 저하를 이야기함
			// create_thumbnail($path_src_url, $path_save_file, $save_w, $save_h, $options);  // 본문에서 이미지를 추출하지 않기 때문에 주석 처리
			create_thumbnail($path_src_file, $path_save_file, $save_w, $save_h, $options); // 첨부파일에서 이미지를 썸네일로 만든다.
			$path_save_file = $path_save_file;
		}


?>



<li style="padding-left:5px;float:left;text-align:left;">
			<?
            echo $list[$i]['icon_reply'] . " ";

?>
		<? if (file_exists($path_save_file)) {?>
			<div style="padding:0px;width:148px;border:1px solid #dedede;"><a href="<?=$list[$i][href]?>"><img src="<?=$path_save_file?>"></a></div>
		<? } else { ?>
			<div style="padding:0px;"><a href="<?=$list[$i][href]?>"><div style="width:<?=$save_w?>px;height:<?=$save_h?>px;overflow:hidden;background-color:#eee;color:#fff;border:1px solid #dedede;"></div></a></div>
		<? }?>

<?
$link = $list[$i]['href']; 
$link = str_replace("&", "&amp;", "$link"); 
            echo "<a href='$link' style='display:inline-block;padding:8px 0 0 5px;'>";
            if ($list[$i]['is_notice'])
                echo "<font style='font-size:9pt; color:#2C88B9;'><strong>{$list[$i]['subject']}</strong></font>";
            else
                echo "<font style='font-size:9pt; color:#6A6A6A;'>{$list[$i]['subject']}</font>";
            echo "</a>";

            if ($list[$i]['comment_cnt']) 
$link = $list[$i]['comment_href']; 
$link = str_replace("&", "&amp;", "$link"); 

	echo "<span style=' font-size:8pt; color:#9A9A9A;'>{$list[$i]['comment_cnt']}</span>";
	echo "<span style='font-family:tahoma;font-size:8pt;padding:3px 0 0 5px;margin:0 0 15px 0;' >".$list[$i][datetime2]."</span>";
            ?>

</li>

<? } ?>

<? if (count($list) == 0) { ?><li style="padding-left:10px;">&middot; <a href="#">게시물이 없습니다</a></li><? } ?>

